TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

{} ( list L, list poss ) -> list

### Syntax

<list>{[pos1,pos2,...]}

### Description

<shortdoc> Return a sublist of `L' consisting of all of the elments named in `poss' as positions.
Note: Each position named in `poss' must have an assigned value in `L'. </shortdoc>

### Examples

L:=[1,,,"foo",,3,4*I,2*I]; L{[4,6,7]};
c:=[2,4,6,8,10,12,14,16,18,20]; c{[4-8]};

### See also

[] ( list, elt-ord^rat ) -> any
[] ( nof(any) ) -> list
Apply ( list, func ) -> list
List ( any ) -> list

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack